Bug 15747 - /bin/sh hangs during bootstrap
/bin/sh hangs during bootstrap
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: bootstrap
3.4.0
: P2 normal
: 3.4.3
Assigned To: Not yet assigned to anyone
: documentation
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-31 11:50 UTC by Georg Schwarz
Modified: 2004-10-26 18:33 UTC (History)
2 users (show)

See Also:
Host: mips-sgi-irix5.3
Target: mips-sgi-irix5.3
Build: mips-sgi-irix5.3
Known to work:
Known to fail:
Last reconfirmed: 2004-10-11 02:59:10


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Georg Schwarz 2004-05-31 11:50:27 UTC
/bin/sh hans during bootstrap. The problem can be eliminated by configuring with CONFIG_SHELL=/bin/ksh. Maybe this should be added as a note to the platform-spefivic configuration documentation for IRIX5 (similar to what there already is for AIX).
Comment 1 Andrew Pinski 2004-06-26 20:21:48 UTC
Confirmed.
Comment 2 CVS Commits 2004-10-26 18:20:43 UTC
Subject: Bug 15747

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	rsandifo@gcc.gnu.org	2004-10-26 18:20:35

Modified files:
	gcc            : ChangeLog 
	gcc/doc        : install.texi 

Log message:
	PR bootstrap/15747
	* doc/install.texi (mips-sgi-irix5): Document that /bin/sh has been
	reported to hang during bootstrap and that CONFIG_SHELL=/bin/ksh
	can be used to work around this.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&r1=2.6028&r2=2.6029
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/doc/install.texi.diff?cvsroot=gcc&r1=1.322&r2=1.323

Comment 3 CVS Commits 2004-10-26 18:24:44 UTC
Subject: Bug 15747

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_4-branch
Changes by:	rsandifo@gcc.gnu.org	2004-10-26 18:24:35

Modified files:
	gcc            : ChangeLog 
	gcc/doc        : install.texi 

Log message:
	PR bootstrap/15747
	* doc/install.texi (mips-sgi-irix5): Document that /bin/sh has been
	reported to hang during bootstrap and that CONFIG_SHELL=/bin/ksh
	can be used to work around this.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=2.2326.2.674&r2=2.2326.2.675
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/doc/install.texi.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.248.4.30&r2=1.248.4.31

Comment 4 rsandifo@gcc.gnu.org 2004-10-26 18:29:17 UTC
Patch applied to install.texi.